<template>
  <router-view/>
</template>

<script setup>
import { onMounted } from "vue";
import { useStore } from "vuex";

const store = useStore();

async function loadData() {
  try {
    await store.dispatch("loadData");
  } catch (er) {
    console.log(er);
  }
}

onMounted(async function () {
  await loadData();
});
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
}

body {
  margin: 0;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

h1 {
  font-size: 1.5rem;
}
h2 {
  font-size: 1rem;
}
</style>
